function y = prop_lamQ(thetaQ, Y, pars, prior, mats, dt, rlb, scale_thetaQ)
% f(y|thetaQ) thetaQ determines lamQ
% and affects the Q-likelihood


thetaQ = thetaQ./scale_thetaQ;
prop.dlamQ = -exp(thetaQ)./(1+exp(thetaQ)) ;
prop.lamQ = 1 + cumsum(prop.dlamQ) ;
if any(prop.lamQ<0) || any(isnan(prop.lamQ)) || any(prop.lamQ>0.99999)
    y = 1e10;
    return
else
    loads = SRTSM_loadings(pars.kinfQ, diag(prop.lamQ), pars.omega, mats, dt) ;
    prop.an = loads.an ;
    prop.bn = loads.bn ;
    prop.SigmaQ = loads.SigmaQ ;
    prop.llkQ = llk_Q(Y, pars.X, prop.an, prop.bn, prop.SigmaQ, pars.sige2, rlb) ;
    y = prop ; 
end



end